## xfonts-mona 2.21

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #  Makefile for Mona fonts
 #  by 1@2ch, 2002, public domain
 
-VERSION = 2.11
+VERSION = 2.21
 
 ## Machine dependent
 
@@ -16,8 +16,9 @@
 #GZIP_CMD	= compress
 #GZIP_SUFFIX	= Z
 
+DESTDIR		=
 X11BINDIR	= /usr/X11R6/bin
-X11FONTDIR	= /usr/X11R6/lib/X11/fonts/local
+X11FONTDIR	= $(DESTDIR)/usr/X11R6/lib/X11/fonts/local
 BDFTOPCF	= $(X11BINDIR)/bdftopcf
 MKDIRHIER	= $(X11BINDIR)/mkdirhier	# 'mkdir -p' may also work.
 MKFONTDIR	= $(X11BINDIR)/mkfontdir
@@ -29,8 +30,11 @@
 MKBOLD	= $(PERL_CMD) tools/mkbold -V
 MKITALIC= $(PERL_CMD) tools/mkitalic -V
 ADJUST	= $(PERL_CMD) tools/adjust
-MKISO8859= $(SED_CMD) 's/@@REGISTRY@@/ISO8859/g;s/@@ENCODING@@/1/g;s/@@CHARS@@/191/g;'
-MKJISX0201= $(SED_CMD) 's/@@REGISTRY@@/JISX0201.1976/g;s/@@ENCODING@@/0/g;s/@@CHARS@@/159/g;'
+JIS2UNICODE= $(PERL_CMD) ttftools/jis2unicode -b
+MKISO8859= $(SED_CMD) 's/@@REGISTRY@@/ISO8859/g;s/@@ENCODING@@/1/g;'
+MKJISX0201= $(SED_CMD) 's/@@REGISTRY@@/JISX0201.1976/g;s/@@ENCODING@@/0/g;'
+MKJISX0208= $(SED_CMD) 's/@@REGISTRY@@/JISX0208.1990/g;s/@@ENCODING@@/0/g;'
+MKISO10646= $(SED_CMD) 's/@@REGISTRY@@/ISO10646/g;s/@@ENCODING@@/1/g;'
 
 BDF =	mona6x12a mona6x12aB mona6x12aI mona6x12aBI \
 	mona6x12r mona6x12rB mona6x12rI mona6x12rBI \
@@ -40,7 +44,8 @@
 	mona8x16r mona8x16rB mona8x16rI mona8x16rBI \
 	monak12 monak12B monak12I monak12BI \
 	monak14 monak14B monak14I monak14BI \
-	monak16 monak16B monak16I monak16BI
+	monak16 monak16B monak16I monak16BI \
+	monau16 monau16B monau16I monau16BI
 
 ## Dependencies
 
@@ -51,55 +56,67 @@
 		dist/mona8x16a.bdf dist/mona8x16r.bdf \
 		dist/monak12.bdf \
 		dist/monak14.bdf \
-		dist/monak16.bdf
+		dist/monak16.bdf \
+		dist/monau16.bdf
 bdf-bold:	dist/mona6x12aB.bdf dist/mona6x12rB.bdf \
 		dist/mona7x14aB.bdf dist/mona7x14rB.bdf \
 		dist/mona8x16aB.bdf dist/mona8x16rB.bdf \
 		dist/monak12B.bdf \
 		dist/monak14B.bdf \
-		dist/monak16B.bdf
+		dist/monak16B.bdf \
+		dist/monau16B.bdf
 bdf-italic:	dist/mona6x12aI.bdf dist/mona6x12rI.bdf \
 		dist/mona7x14aI.bdf dist/mona7x14rI.bdf \
 		dist/mona8x16aI.bdf dist/mona8x16rI.bdf \
 		dist/monak12I.bdf \
 		dist/monak14I.bdf \
-		dist/monak16I.bdf
+		dist/monak16I.bdf \
+		dist/monau16I.bdf
 bdf-bold-italic:dist/mona6x12aBI.bdf dist/mona6x12rBI.bdf \
 		dist/mona7x14aBI.bdf dist/mona7x14rBI.bdf \
 		dist/mona8x16aBI.bdf dist/mona8x16rBI.bdf \
 		dist/monak12BI.bdf \
 		dist/monak14BI.bdf \
-		dist/monak16BI.bdf
+		dist/monak16BI.bdf \
+		dist/monau16BI.bdf
 
 # primary bitmaps
 
 dist/mona6x12a.bdf: src/mona6x12.bit0 src/mona6x12a.bit1
-	$(MKISO8859) src/mona6x12.bit0 src/mona6x12a.bit1 | \
-		$(BIT2BDF) > dist/mona6x12a.bdf
+	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona6x12a.bdf
 dist/mona6x12r.bdf: src/mona6x12.bit0 src/mona6x12r.bit1
-	$(MKJISX0201) src/mona6x12.bit0 src/mona6x12r.bit1 | \
-		$(BIT2BDF) > dist/mona6x12r.bdf
+	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12r.bit1 | \
+		$(MKJISX0201) | $(BIT2BDF) > dist/mona6x12r.bdf
 dist/mona7x14a.bdf: src/mona7x14.bit0 src/mona7x14a.bit1
-	$(MKISO8859) src/mona7x14.bit0 src/mona7x14a.bit1 | \
-		$(BIT2BDF) > dist/mona7x14a.bdf
+	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona7x14a.bdf
 dist/mona7x14r.bdf: src/mona7x14.bit0 src/mona7x14r.bit1
-	$(MKJISX0201) src/mona7x14.bit0 src/mona7x14r.bit1 | \
-		$(BIT2BDF) > dist/mona7x14r.bdf
+	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14r.bit1 | \
+		$(MKJISX0201) | $(BIT2BDF) > dist/mona7x14r.bdf
 dist/mona8x16a.bdf: src/mona8x16.bit0 src/mona8x16a.bit1
-	$(MKISO8859) src/mona8x16.bit0 src/mona8x16a.bit1 | \
-		$(BIT2BDF) > dist/mona8x16a.bdf
+	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona8x16a.bdf
 dist/mona8x16r.bdf: src/mona8x16.bit0 src/mona8x16r.bit1
-	$(MKJISX0201) src/mona8x16.bit0 src/mona8x16r.bit1 | \
-		$(BIT2BDF) > dist/mona8x16r.bdf
+	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16r.bit1 | \
+		$(MKJISX0201) | $(BIT2BDF) > dist/mona8x16r.bdf
 dist/monak12.bdf: src/monak12-base.bit src/monak12-ext.bit
 	$(BDFMERGE) src/monak12-base.bit src/monak12-ext.bit | \
-		$(BIT2BDF) > dist/monak12.bdf
+		$(MKJISX0208) | $(BIT2BDF) > dist/monak12.bdf
 dist/monak14.bdf: src/monak14-base.bit src/monak14-ext.bit
 	$(BDFMERGE) src/monak14-base.bit src/monak14-ext.bit | \
-		$(BIT2BDF) > dist/monak14.bdf
+		$(MKJISX0208) | $(BIT2BDF) > dist/monak14.bdf
 dist/monak16.bdf: src/monak16-base.bit src/monak16-ext.bit
 	$(BDFMERGE) src/monak16-base.bit src/monak16-ext.bit | \
-		$(BIT2BDF) > dist/monak16.bdf
+		$(MKJISX0208) | $(BIT2BDF) > dist/monak16.bdf
+# unicode fonts
+dist/monau16.bdf: src/mona8x16.bit0 src/mona8x16a.bit1 src/mona8x16r.bit1 \
+		   src/monak16-base.bit src/monak16-ext.bit src/monak16-uext.bit
+	$(JIS2UNICODE) src/monak16-base.bit src/monak16-ext.bit src/mona8x16r.bit1 | \
+		$(MKISO10646) | \
+		$(BDFMERGE) - src/monak16-uext.bit src/mona8x16.bit0 src/mona8x16a.bit1 |\
+		$(BIT2BDF) > dist/monau16.bdf
+
 
 # modified bitmaps
 
@@ -163,18 +180,25 @@
 dist/monak16BI.bdf: dist/monak16I.bdf
 	$(MKBOLD) dist/monak16I.bdf > dist/monak16BI.bdf
 
+dist/monau16B.bdf: dist/monau16.bdf
+	$(MKBOLD) dist/monau16.bdf > dist/monau16B.bdf
+dist/monau16I.bdf: dist/monau16.bdf
+	$(MKITALIC) dist/monau16.bdf > dist/monau16I.bdf
+dist/monau16BI.bdf: dist/monau16I.bdf
+	$(MKBOLD) dist/monau16I.bdf > dist/monau16BI.bdf
+
 
 ##  Utilities
 
 # clean
 clean:
-	-rm dist/*.bdf dist/fonts.dir
+	-rm dist/*.bdf dist/fonts.dir *~ .*~
 ttfclean:
 	cd ttfsrc; make clean
 
 # packing
 pack: clean ttfclean
-	cd ..; tar c --numeric-owner --bzip2 -f monafonts-$(VERSION).tar.bz2.bin monafonts-$(VERSION)
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 -f monafonts-$(VERSION).tar.bz2.bin monafonts-$(VERSION)
 
 # test
 test12:	dist/mona6x12r.bdf dist/mona6x12a.bdf dist/monak12.bdf testrun
