=== ttfsrc/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #  Makefile for Monafonts TTF
-#  by 1@2ch, * public domain *  2002/2
-
-TTFVERSION=2.11
-SHINONOMEVERSION=0.9.7
+#  by 1@2ch, * public domain *  2002/3
+
+TTFVERSION=2.21
+SHINONOMEVERSION=0.9.8
 DATESTAMP=`date +%Y%m%d`
 
 # tools & perl libraries
@@ -16,7 +16,7 @@
 AWK=awk
 RM=rm -f
 CP=cp
-LHA=lha
+ZIP=zip -r
 
 TTFPACK=$(PERL) $(TOOLS)/ttfpack
 COMMONCHARS=$(PERL) $(TOOLS)/commonchars
@@ -68,15 +68,15 @@
 # utilities
 
 clean:
-	-$(RM) mona-mac.ttf mona-win.ttf *.lzh *.bak common.enc numglyphs \
+	-$(RM) mona-mac.ttf mona-win.ttf *.zip *.bak *~ .*~ common.enc numglyphs \
 		cmap-ascii.src cmap-sjis.src cmap-unicode.src \
 		mona12.bit mona14.bit mona16.bit \
 		mona12k.bit mona14k.bit mona16k.bit \
 		$(TTFTABLES) test-sjis.html test-unicode.html
 
 pack: mona-mac.ttf mona-win.ttf README-ttf.txt
-	$(LHA) a monafonts-mac-$(TTFVERSION).lzh README-ttf.txt mona-mac.ttf
-	$(LHA) a monafonts-win-$(TTFVERSION).lzh README-ttf.txt mona-win.ttf
+	$(ZIP) monafonts-mac-$(TTFVERSION).zip README-ttf.txt mona-mac.ttf
+	$(ZIP) monafonts-win-$(TTFVERSION).zip README-ttf.txt mona-win.ttf
 
 # test
