## xfonts-mona 2.90

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-#  Makefile for Mona fonts
+#  Makefile for Mona font
 #  by 1@2ch, 2002, public domain
-
-VERSION = 2.21
+#  $Id: Makefile,v 1.10 2003/09/10 02:54:10 s42335 Exp $
+
+VERSION = 2.90
 
 ## Machine dependent
 
@@ -22,6 +23,8 @@
 BDFTOPCF	= $(X11BINDIR)/bdftopcf
 MKDIRHIER	= $(X11BINDIR)/mkdirhier	# 'mkdir -p' may also work.
 MKFONTDIR	= $(X11BINDIR)/mkfontdir
+
+MY_RPM_ROOT	= /tmp/rpm-root
 
 ## Other macros
 
@@ -43,7 +46,9 @@
 	mona8x16a mona8x16aB mona8x16aI mona8x16aBI \
 	mona8x16r mona8x16rB mona8x16rI mona8x16rBI \
 	monak12 monak12B monak12I monak12BI \
+	monau12 monau12B monau12I monau12BI \
 	monak14 monak14B monak14I monak14BI \
+	monau14 monau14B monau14I monau14BI \
 	monak16 monak16B monak16I monak16BI \
 	monau16 monau16B monau16I monau16BI
 
@@ -55,51 +60,64 @@
 		dist/mona7x14a.bdf dist/mona7x14r.bdf \
 		dist/mona8x16a.bdf dist/mona8x16r.bdf \
 		dist/monak12.bdf \
+		dist/monau12.bdf \
 		dist/monak14.bdf \
+		dist/monau14.bdf \
 		dist/monak16.bdf \
 		dist/monau16.bdf
 bdf-bold:	dist/mona6x12aB.bdf dist/mona6x12rB.bdf \
 		dist/mona7x14aB.bdf dist/mona7x14rB.bdf \
 		dist/mona8x16aB.bdf dist/mona8x16rB.bdf \
 		dist/monak12B.bdf \
+		dist/monau12B.bdf \
 		dist/monak14B.bdf \
+		dist/monau14B.bdf \
 		dist/monak16B.bdf \
 		dist/monau16B.bdf
 bdf-italic:	dist/mona6x12aI.bdf dist/mona6x12rI.bdf \
 		dist/mona7x14aI.bdf dist/mona7x14rI.bdf \
 		dist/mona8x16aI.bdf dist/mona8x16rI.bdf \
 		dist/monak12I.bdf \
+		dist/monau12I.bdf \
 		dist/monak14I.bdf \
+		dist/monau14I.bdf \
 		dist/monak16I.bdf \
 		dist/monau16I.bdf
 bdf-bold-italic:dist/mona6x12aBI.bdf dist/mona6x12rBI.bdf \
 		dist/mona7x14aBI.bdf dist/mona7x14rBI.bdf \
 		dist/mona8x16aBI.bdf dist/mona8x16rBI.bdf \
 		dist/monak12BI.bdf \
+		dist/monau12BI.bdf \
 		dist/monak14BI.bdf \
+		dist/monau14BI.bdf \
 		dist/monak16BI.bdf \
 		dist/monau16BI.bdf
 
 # primary bitmaps
 
+# ASCII (iso8859)
 dist/mona6x12a.bdf: src/mona6x12.bit0 src/mona6x12a.bit1
 	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12a.bit1 | \
 		$(MKISO8859) | $(BIT2BDF) > dist/mona6x12a.bdf
+dist/mona7x14a.bdf: src/mona7x14.bit0 src/mona7x14a.bit1
+	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona7x14a.bdf
+dist/mona8x16a.bdf: src/mona8x16.bit0 src/mona8x16a.bit1
+	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona8x16a.bdf
+
+# HANKAKU-KANA (jisx0201.1976)
 dist/mona6x12r.bdf: src/mona6x12.bit0 src/mona6x12r.bit1
 	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12r.bit1 | \
 		$(MKJISX0201) | $(BIT2BDF) > dist/mona6x12r.bdf
-dist/mona7x14a.bdf: src/mona7x14.bit0 src/mona7x14a.bit1
-	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14a.bit1 | \
-		$(MKISO8859) | $(BIT2BDF) > dist/mona7x14a.bdf
 dist/mona7x14r.bdf: src/mona7x14.bit0 src/mona7x14r.bit1
 	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14r.bit1 | \
 		$(MKJISX0201) | $(BIT2BDF) > dist/mona7x14r.bdf
-dist/mona8x16a.bdf: src/mona8x16.bit0 src/mona8x16a.bit1
-	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16a.bit1 | \
-		$(MKISO8859) | $(BIT2BDF) > dist/mona8x16a.bdf
 dist/mona8x16r.bdf: src/mona8x16.bit0 src/mona8x16r.bit1
 	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16r.bit1 | \
 		$(MKJISX0201) | $(BIT2BDF) > dist/mona8x16r.bdf
+
+# KANJI (jisx0208.1990)
 dist/monak12.bdf: src/monak12-base.bit src/monak12-ext.bit
 	$(BDFMERGE) src/monak12-base.bit src/monak12-ext.bit | \
 		$(MKJISX0208) | $(BIT2BDF) > dist/monak12.bdf
@@ -109,7 +127,20 @@
 dist/monak16.bdf: src/monak16-base.bit src/monak16-ext.bit
 	$(BDFMERGE) src/monak16-base.bit src/monak16-ext.bit | \
 		$(MKJISX0208) | $(BIT2BDF) > dist/monak16.bdf
-# unicode fonts
+
+# UNICODE (iso10646)
+dist/monau12.bdf: src/mona6x12.bit0 src/mona6x12a.bit1 src/mona6x12r.bit1 \
+		   src/monak12-base.bit src/monak12-ext.bit src/monak12-uext.bit
+	$(JIS2UNICODE) src/monak12-base.bit src/monak12-ext.bit src/mona6x12r.bit1 | \
+		$(MKISO10646) | \
+		$(BDFMERGE) - src/monak12-uext.bit src/mona6x12.bit0 src/mona6x12a.bit1 |\
+		$(BIT2BDF) > dist/monau12.bdf
+dist/monau14.bdf: src/mona7x14.bit0 src/mona7x14a.bit1 src/mona7x14r.bit1 \
+		   src/monak14-base.bit src/monak14-ext.bit src/monak14-uext.bit
+	$(JIS2UNICODE) src/monak14-base.bit src/monak14-ext.bit src/mona7x14r.bit1 | \
+		$(MKISO10646) | \
+		$(BDFMERGE) - src/monak14-uext.bit src/mona7x14.bit0 src/mona7x14a.bit1 |\
+		$(BIT2BDF) > dist/monau14.bdf
 dist/monau16.bdf: src/mona8x16.bit0 src/mona8x16a.bit1 src/mona8x16r.bit1 \
 		   src/monak16-base.bit src/monak16-ext.bit src/monak16-uext.bit
 	$(JIS2UNICODE) src/monak16-base.bit src/monak16-ext.bit src/mona8x16r.bit1 | \
@@ -165,6 +196,12 @@
 	$(MKITALIC) dist/monak12.bdf > dist/monak12I.bdf
 dist/monak12BI.bdf: dist/monak12I.bdf
 	$(MKBOLD) dist/monak12I.bdf > dist/monak12BI.bdf
+dist/monau12B.bdf: dist/monau12.bdf
+	$(MKBOLD) dist/monau12.bdf > dist/monau12B.bdf
+dist/monau12I.bdf: dist/monau12.bdf
+	$(MKITALIC) dist/monau12.bdf > dist/monau12I.bdf
+dist/monau12BI.bdf: dist/monau12I.bdf
+	$(MKBOLD) dist/monau12I.bdf > dist/monau12BI.bdf
 
 dist/monak14B.bdf: dist/monak14.bdf
 	$(MKBOLD) dist/monak14.bdf > dist/monak14B.bdf
@@ -172,6 +209,12 @@
 	$(MKITALIC) dist/monak14.bdf > dist/monak14I.bdf
 dist/monak14BI.bdf: dist/monak14I.bdf
 	$(MKBOLD) dist/monak14I.bdf > dist/monak14BI.bdf
+dist/monau14B.bdf: dist/monau14.bdf
+	$(MKBOLD) dist/monau14.bdf > dist/monau14B.bdf
+dist/monau14I.bdf: dist/monau14.bdf
+	$(MKITALIC) dist/monau14.bdf > dist/monau14I.bdf
+dist/monau14BI.bdf: dist/monau14I.bdf
+	$(MKBOLD) dist/monau14I.bdf > dist/monau14BI.bdf
 
 dist/monak16B.bdf: dist/monak16.bdf
 	$(MKBOLD) dist/monak16.bdf > dist/monak16B.bdf
@@ -179,7 +222,6 @@
 	$(MKITALIC) dist/monak16.bdf > dist/monak16I.bdf
 dist/monak16BI.bdf: dist/monak16I.bdf
 	$(MKBOLD) dist/monak16I.bdf > dist/monak16BI.bdf
-
 dist/monau16B.bdf: dist/monau16.bdf
 	$(MKBOLD) dist/monau16.bdf > dist/monau16B.bdf
 dist/monau16I.bdf: dist/monau16.bdf
@@ -198,18 +240,14 @@
 
 # packing
 pack: clean ttfclean
-	cd ..; tar c --numeric-owner --exclude CVS --bzip2 -f monafonts-$(VERSION).tar.bz2.bin monafonts-$(VERSION)
-
-# test
-test12:	dist/mona6x12r.bdf dist/mona6x12a.bdf dist/monak12.bdf testrun
-test14:	dist/mona7x14r.bdf dist/mona7x14a.bdf dist/monak14.bdf testrun
-test16:	dist/mona8x16r.bdf dist/mona8x16a.bdf dist/monak16.bdf testrun
-testrun:
-	$(MKFONTDIR) `pwd`/dist
-	xset -fp `pwd`/dist; xset +fp `pwd`/dist; xset fp rehash
-	#xedit -xrm '*font:-mona*12*jisx0201.1976-0' test.html
-	#xfontsel -pattern '-mona*'
-	netscape tools/test.html
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 --dereference \
+		 -f monafont-$(VERSION).tar.bz2 monafont-$(VERSION)
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 --dereference \
+		 -f ttftinker-$(VERSION).tar.bz2 ttftinker-$(VERSION)
+rpm: clean ttfclean
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 --dereference \
+		 -f $(MY_RPM_ROOT)/SOURCES/monafont-$(VERSION).tar.bz2 monafont-$(VERSION)
+	rpm -ba monafont.spec
 
 # install
 install: bdf
