=== debian/changelog ===
xfonts-mona (2.90-9) unstable; urgency=medium

  * Update debian/control.
    - Bump up Standards-Version to 4.5.0.
    - Use debhelper-compat instead of debhelper.
      Update to debhelper compat to 13.
    - Add Multi-Arch: foreign.
    - Add Rules-Requires-Root: no.
    - Add Vcs-Browser and Vcs-Git.
  * Update d/copyright.
    Change to dep5 format.
  * Remove d/README.source. This file is already unnecessary.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Dec 2020 05:17:10 +0900

xfonts-mona (2.90-8) unstable; urgency=medium

  * Update debian/control.
    - Bump up Standards-Version to 3.9.6.
    - Remove ttf-kochi-gothic from Build-Depends.
  * Update debian/rules.
    - Add --no-name option to gzip.
      Fix package-contains-timestamped-gzip of lintian warning.
  * Remove support fonts-mona. (Closes: #804515)
    The fonts-mona package will provide by ttf-mona source package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 13 Nov 2015 14:48:23 +0900

xfonts-mona (2.90-7) unstable; urgency=low

  * Update debian/control.
    - Bump up Standards-Version to 3.9.3.
    - Update version of debhelper to (>= 9).
    - Remove dpatch from Build-Depends.
  * Update patch format to quilt.
  * Fix build with perl 5.12. (Closes: #628362)
    - Add patches/fix_build_perl5.12.patch.
  * Update debian/rules.
    - Change to using dh.
  * Update debian/compat to 9.
  * Update debian/ttf-mona.prerm and postinst.
    - Changte to prefix from ttf- to fonts-.
  * Add fonts-mona package.
  * Set Priority: extra and Section: oldlibs to ttf-mona.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Mar 2012 09:27:05 +0900

xfonts-mona (2.90-6) unstable; urgency=low

  * Remove debian/defoma and debian/rules. (Closes: #571026)
  * Remove function to install defoma from debian/rules and ttf-mona.prerm.
    (Closes: #572115).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 02 Mar 2010 23:18:37 +0900

xfonts-mona (2.90-5) unstable; urgency=low

  * Update debian/control.
    - Remove defoma hints files and dependency on defoma.
    - Bump up Standards-Version.
  * Update debian/ttf-mona.postinst
  * Add debian/ttf-mona.preinst

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Feb 2010 22:54:43 +0900

xfonts-mona (2.90-4) unstable; urgency=low

  * Fix problem that package can't uninstall. (Closes: #550791)
    Thanks to YOSHINO Yoshihito.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 13 Oct 2009 09:12:53 +0900

xfonts-mona (2.90-3) unstable; urgency=low

  * Change maintainer mail address.
  * Update Standards-Version.
  * Update hints file.
    Add CIDSupplement = 0 line
  * Fix some lintian's warning.
    - Add README.source
  * Update URL of project homepage in debian/copyright. (Closes: #530370)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 14 Sep 2009 17:04:37 +0900

xfonts-mona (2.90-2) unstable; urgency=low

  * Change Maintainer mail address.
  * Fix lack of dependency for bdftopcf. (Closes: #413486)

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Thu,  8 Mar 2007 23:42:39 +0900

xfonts-mona (2.90-1) unstable; urgency=low

  * New Maintainer (Nobuhiro Iwamatsu).
  * create ttf-mona pacakge. (Closes: #183027)
  * Fix fonts transition (xfonts-mona). (Closes: #362390)
  * New upstream release. (Closes: #321034)

 -- Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>  Sat, 25 Nov 2006 22:38:43 +0900

xfonts-mona (2.21-4) unstable; urgency=low

  * Changed font path to new X package.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 14 Apr 2006 05:18:32 +0000

xfonts-mona (2.21-3) unstable; urgency=low

  * Added build-depends field, closes: #253772.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 11 Jun 2004 17:03:18 +0900

xfonts-mona (2.21-2) unstable; urgency=low

  * Create dist directory on build target, closes: #165182.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  6 Nov 2002 13:30:02 +0900

xfonts-mona (2.21-1) unstable; urgency=low

  * New upstream release.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 25 Jun 2002 12:00:46 +0900

xfonts-mona (2.11-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 23 Mar 2002 15:42:14 +0900

xfonts-mona (2.04-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 12 Feb 2002 13:58:28 +0900

xfonts-mona (2.03-2) unstable; urgency=low

  * Adapted to new debian policy.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 13 Nov 2001 19:29:29 +0900

xfonts-mona (2.03-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 16 Jul 2001 12:49:58 +0900

xfonts-mona (2.02-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 19 Jun 2001 15:01:21 +0900

xfonts-mona (2.01-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 18 Jun 2001 17:56:03 +0900

xfonts-mona (0.0.20010323-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  4 Apr 2001 10:43:10 +0900

xfonts-mona (0.0.20010213-2) unstable; urgency=low

  * Adapted to woody.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon,  2 Apr 2001 15:46:44 +0900

xfonts-mona (0.0.20010213-1) unstable; urgency=low

  * Initial Release.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 19 Mar 2001 17:54:29 +0900
