=== debian/control ===
Source: xfonts-mona
Section: fonts
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: bzip2, xfonts-utils
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/xfonts-mona
Vcs-Git: https://salsa.debian.org/debian/xfonts-mona.git

Package: xfonts-mona
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Proportional X fonts for 2ch ASCII art
 These fonts are suitable for some ASCII arts like mona, gikoneko and so on.
 This package provides BDF (Bitmap Description / Display Format) font.
