=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

override_dh_auto_build:
	-mkdir dist
	make bdf
	(cd dist; for i in *.bdf; do bdftopcf $$i|gzip --no-name -c9 > `basename $$i .bdf`.pcf.gz; done)

override_dh_auto_install:
	# Add here commands to install the package into debian/tmp.
	cp dist/*.pcf.gz `pwd`/debian/xfonts-mona/usr/share/fonts/X11/misc

override_dh_auto_clean:

	make clean
	-rm -f dist/*

	dh_auto_clean
